export default {
  common: {
    home: 'Home',
    tools: 'Tools',
    categories: 'Categories',
    search: 'Search',
    clear: 'Clear',
    copy: 'Copy',
    copied: 'Copied',
    paste: 'Paste',
    save: 'Save',
    load: 'Load',
    download: 'Download',
    upload: 'Upload',
    format: 'Format',
    compress: 'Compress',
    expand: 'Expand',
    validate: 'Validate',
    convert: 'Convert',
    generate: 'Generate',
    example: 'Example',
    history: 'History',
    favorites: 'Favorites',
    settings: 'Settings',
    about: 'About',
    close: 'Close',
    cancel: 'Cancel',
    confirm: 'Confirm',
    delete: 'Delete',
    edit: 'Edit',
    back: 'Back',
    next: 'Next',
    previous: 'Previous',
    loading: 'Loading...',
    error: 'Error',
    success: 'Success',
    warning: 'Warning',
    info: 'Info',
    placeholder: 'Please enter content...',
    noData: 'No data',
    retry: 'Retry',
    refresh: 'Refresh',
    reset: 'Reset',
    submit: 'Submit'
  },
  categories: {
    all: 'All',
    common: 'Common',
    json: 'JSON',
    encoding: 'Encoding',
    network: 'Network',
    datetime: 'DateTime',
    code: 'Code',
    text: 'Text',
    image: 'Image',
    frontend: 'Frontend',
    file: 'File'
  },
  tools: {
    json_formatter: {
      title: 'JSON Formatter',
      description: 'JSON formatting, beautification, compression and validation tool',
      placeholder_input: 'Please enter JSON content...',
      placeholder_output: 'Formatted result will be displayed here...',
      format: 'Format',
      compress: 'Compress',
      validate: 'Validate',
      clear: 'Clear',
      copy: 'Copy Result',
      example: 'Load Example',
      json_valid: 'JSON is valid',
      json_invalid: 'JSON is invalid',
      large_json_processed: 'Large JSON file processed ({size}KB)',
      processing: 'Processing...',
      cancel: 'Cancel Processing'
    },
    timestamp_converter: {
      title: 'Timestamp Converter',
      description: 'Timestamp and datetime conversion tool',
      current_timestamp: 'Current Timestamp',
      timestamp_to_date: 'Timestamp to Date',
      date_to_timestamp: 'Date to Timestamp',
      timestamp_placeholder: 'Please enter timestamp...',
      date_placeholder: 'Select date time...',
      convert: 'Convert',
      copy_timestamp: 'Copy Timestamp',
      copy_date: 'Copy Date'
    },
    encoding_converter: {
      title: 'Encoding Converter',
      description: 'Base64, URL encoding, Unicode and other encoding conversion tools',
      input_placeholder: 'Please enter content to encode/decode...',
      output_placeholder: 'Conversion result will be displayed here...',
      base64_encode: 'Base64 Encode',
      base64_decode: 'Base64 Decode',
      url_encode: 'URL Encode',
      url_decode: 'URL Decode',
      unicode_encode: 'Unicode Encode',
      unicode_decode: 'Unicode Decode'
    },
    chrome_bookmark_recovery: {
      title: 'Chrome Bookmark Recovery',
      description: 'Chrome browser bookmark file recovery tool',
      upload_file: 'Upload Bookmark File',
      file_analysis: 'File Analysis',
      bookmark_list: 'Bookmark List',
      export_bookmarks: 'Export Bookmarks',
      recovery_success: 'Recovery Successful',
      file_format_error: 'File Format Error',
      instructions: {
        windows: {
          title: 'Windows System Instructions',
          steps: [
            'Copy C:\\Users\\%username%\\AppData\\Local\\Google\\Chrome\\User Data into File Explorer',
            'In search bar, type Bookmarks, you will see a list of files named Bookmarks and/or Bookmarks.bak',
            'Note: If there is more than one user using the same Chrome, bookmarks from other users will be listed too',
            'Select all the files with mouse and drag them to the upload area below',
            'Download all the converted HTML files',
            'Open each HTML file with Chrome and determine the HTML file that contains your bookmarks (Note: The largest file is most likely the correct one)',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager',
            'Click the menu icon beside search bar and click "Import Bookmarks"',
            'Select the HTML file that contains your bookmarks',
            'Your bookmarks should now be imported back to Chrome'
          ]
        }
      }
    },
    seal_generator: {
      title: 'Seal Generator',
      description: 'Electronic seal creation tool, supports company and personal seals',
      basic_settings: 'Basic Settings',
      text_settings: 'Text Settings',
      border_settings: 'Border Settings',
      seal_type: 'Seal Type',
      company_round: 'Company Round Seal',
      company_oval: 'Company Oval Seal',
      personal_square: 'Personal Square Seal',
      personal_round: 'Personal Round Seal',
      seal_size: 'Seal Size',
      seal_color: 'Seal Color',
      background_color: 'Background Color',
      main_text: 'Main Text',
      center_text: 'Center Text',
      header_text: 'Header Text',
      sub_text: 'Sub Text',
      font_size: 'Font Size',
      main_font_size: 'Main Font Size',
      center_font_size: 'Center Font Size',
      outer_border_width: 'Outer Border Width',
      inner_border_width: 'Inner Border Width',
      show_star: 'Show Star',
      generate_seal: 'Generate Seal',
      download_seal: 'Download Seal',
      clear_all: 'Clear All',
      seal_preview: 'Seal Preview',
      company_name_placeholder: 'Company Name',
      personal_name_placeholder: 'Name',
      center_text_placeholder: 'Seal',
      header_text_placeholder: 'e.g., Head Office, Branch',
      sub_text_placeholder: 'e.g., Co., Ltd., Corp.',
      preview_tip: 'Please fill in seal information and click generate',
      usage_instructions: 'Usage Instructions',
      company_seal_features: 'Company Seal Features',
      personal_seal_features: 'Personal Seal Features',
      important_notice: 'Important Notice',
      legal_notice: 'The seals generated by this tool are for learning and testing purposes only. Do not use for illegal purposes. Official company seals need to be registered with relevant authorities.'
    }
  }
} 